package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemRole;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/19.
 */
public interface IRoleDao extends XSQLGeneralDAO {
    Result getRoleList(Map<String, Object> params) throws Exception;

    void activityRole(String roleId, String activityFlag) throws Exception;

    SystemRole getRoleByName(String name) throws Exception;

    SystemRole getRoleByNameWithOutId(String name, String id) throws Exception;
}
